edu.wisc.cae.caeauth.internal.model

## Class RevokeResponse

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.RevokeResponse

All Implemented Interfaces:
  Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

    public class RevokeResponse
    extends Object
    implements Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

Java class for RevokeResponse complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokeResponse">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="revoke_succeeded" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="error_string" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `errorString`
`protected boolean` `revokeSucceeded`

### Constructor Summary

Constructors
Constructor and Description
`RevokeResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StringBuilder` `append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`StringBuilder` `appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`boolean` `equals(Object object)`
`boolean` `equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator, org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator, Object object, org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)`
`String` `getErrorString()` Gets the value of the errorString property.
`int` `hashCode()`
`int` `hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)`
`boolean` `isRevokeSucceeded()` Gets the value of the revokeSucceeded property.
`void` `setErrorString(String value)` Sets the value of the errorString property.
`void` `setRevokeSucceeded(boolean value)` Sets the value of the revokeSucceeded property.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### revokeSucceeded

    protected boolean revokeSucceeded

#### errorString

    protected String errorString

### Constructor Detail

#### RevokeResponse

    public RevokeResponse()

### Method Detail

#### isRevokeSucceeded

    public boolean isRevokeSucceeded()

Gets the value of the revokeSucceeded property.

#### setRevokeSucceeded

    public void setRevokeSucceeded(boolean value)

Sets the value of the revokeSucceeded property.

#### getErrorString

    public String getErrorString()

Gets the value of the errorString property.

Returns:
  possible object is `String`

#### setErrorString

    public void setErrorString(String value)

Sets the value of the errorString property.

Parameters:
  `value` - allowed object is `String`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### append

    public StringBuilder append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                StringBuilder buffer,
                                org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `append` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### appendFields

    public StringBuilder appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                      StringBuilder buffer,
                                      org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `appendFields` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### equals

    public boolean equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator,
                          org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator,
                          Object object,
                          org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)

Specified by:
  `equals` in interface `org.jvnet.jaxb2_commons.lang.Equals`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                        org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)

Specified by:
  `hashCode` in interface `org.jvnet.jaxb2_commons.lang.HashCode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`